> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update application

> Update an application by its ID.



## OpenAPI

````yaml /openapi-private.json patch /applications/{id}
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /applications/{id}:
    patch:
      tags:
        - Applications
      summary: Update application
      description: Update an application by its ID.
      operationId: patchApplication
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchApplicationDto'
      responses:
        '204':
          description: Application updated successfully
        '400':
          description: Bad request - invalid update payload
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '401':
          description: Unauthorized - invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '404':
          description: Application or related record not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    PatchApplicationDto:
      type: object
      properties:
        owner:
          $ref: '#/components/schemas/ApplicationOwnerInputDto'
      required:
        - owner
      id: PrivatePatchApplicationDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
    ApplicationOwnerInputDto:
      type: object
      properties:
        userId:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
      required:
        - userId
      id: PrivateApplicationOwnerInputDto
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````